Mercury API
msgSetupmultiProtocolSearch Method (op, readPlanList, metadataFlags, antennas, timeout)
Namespaces ► ThingMagic ► SerialReader ► msgSetupmultiProtocolSearch(SerialReader..::.CmdOpcode, List<(Of <(SimpleReadPlan>)>), SerialReader..::.TagMetadataFlag, SerialReader..::.AntennaSelection, UInt16)
lv3 command supporting multiple protocol search
Declaration Syntax

C# | Visual Basic | Visual C++

    public List<byte> msgSetupmultiProtocolSearch(
    	SerialReader..::.CmdOpcode op,
    	List<SimpleReadPlan> readPlanList,
    	SerialReader..::.TagMetadataFlag metadataFlags,
    	SerialReader..::.AntennaSelection antennas,
    	ushort timeout
    )

    Public Function msgSetupmultiProtocolSearch ( _
    	op As SerialReader..::.CmdOpcode, _
    	readPlanList As List(Of SimpleReadPlan), _
    	metadataFlags As SerialReader..::.TagMetadataFlag, _
    	antennas As SerialReader..::.AntennaSelection, _
    	timeout As UShort _
    ) As List(Of Byte)

    public:
    List<unsigned char>^ msgSetupmultiProtocolSearch(
    	SerialReader..::.CmdOpcode op,
    	List<SimpleReadPlan^>^ readPlanList,
    	SerialReader..::.TagMetadataFlag metadataFlags,
    	SerialReader..::.AntennaSelection antennas,
    	unsigned short timeout
    )

Parameters

op (SerialReader..::.CmdOpcode)
  opcode

readPlanList (List <(Of <( SimpleReadPlan >)>))
  readplan list

metadataFlags (SerialReader..::.TagMetadataFlag)
  metadataflags

antennas (SerialReader..::.AntennaSelection)
  antenna selection

timeout (UInt16)
  timeout

Return Value

[Missing <returns> documentation for M:ThingMagic.SerialReader.msgSetupmultiProtocolSearch(ThingMagic.SerialReader.CmdOpcode,System.Collections.Generic.List{ThingMagic.SimpleReadPlan},ThingMagic.SerialReader.TagMetadataFlag,ThingMagic.SerialReader.AntennaSelection,System.UInt16)]

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)